Last Comment Bug 274802 - Save flags having the same name on product change
: Save flags having the same name on product change
Status: RESOLVED FIXED
: selenium
Product: Bugzilla
Classification: Server Software
Component: Creating/Changing Bugs (show other bugs)
: 2.19.1
: All All
: -- enhancement (vote)
: Bugzilla 3.0
Assigned To: Frédéric Buclin
: default-qa
Mentors:
: 362497 (view as bug list)
Depends on: 343809
Blocks: 364216 391073
  Show dependency treegraph
 
Reported: 2004-12-15 14:22 PST by Frédéric Buclin
Modified: 2007-08-10 14:51 PDT (History)
10 users (show)
myk: approval+
justdave: blocking2.20-
LpSolit: testcase+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch, v1 (4.99 KB, patch)
2006-08-24 12:51 PDT, Frédéric Buclin
LpSolit: review+
Details | Diff | Review

Description Frédéric Buclin 2004-12-15 14:22:59 PST
If two different flag types have the same name in two distinct products, moving
a bug from one product to the other should keep the corresponding flags.
Actually, all flags from flag types which are not in both products are removed.
This is a pain for example with all these review+/- superreview+/- approval+/-
flags which we certainly want to keep (as long as these flag type names exist in
both products).

This is suggested in bug 261995 comment 4 and responds to a real need, for
example bug 274704.

LpSolit: justdave, does it make sense to keep flags if they have the same name?
I would say yes!
justdave: LpSolit: Myk says so in his last comment of that bug
justdave: go find it, and if there isn't one, file it ;)
Comment 1 Dave Miller [:justdave] (justdave@bugzilla.org) 2005-01-03 12:26:31 PST
I'll take this for 2.20, but not blocking release on it.
Comment 2 Frédéric Buclin 2005-04-18 04:41:44 PDT
*** Bug 290755 has been marked as a duplicate of this bug. ***
Comment 3 Frédéric Buclin 2005-10-18 16:05:16 PDT
Note to self: look at Bugzilla::Flag::process():

foreach my $flag_id (@$flag_ids) { clear($flag_id) }

and update flags.type_id for flags which still apply in the new product.
Comment 4 Frédéric Buclin 2005-10-25 17:05:28 PDT
I won't have time to play with it before the 2.22 freeze
Comment 5 Reed Loden [:reed] (use needinfo?) 2006-04-12 20:14:03 PDT
What's the status on this? This caused problems again today when moving devmo stuff to its new product. :/
Comment 6 Frédéric Buclin 2006-04-13 03:35:48 PDT
(In reply to comment #5)
> What's the status on this? This caused problems again today when moving devmo
> stuff to its new product. :/
> 

This bug is high in my priority list, but bug 322285 has to land first (because it's higher in my priority list), and itself depends on bug 329537, which depends on mkanat. So pester mkanat to get bug 329537 fixed asap. :)
Comment 7 timeless 2006-07-09 04:06:35 PDT
all of those dependencies are gone. we're still hoping to see this :)
Comment 8 Frédéric Buclin 2006-07-20 10:55:21 PDT
(In reply to comment #7)
> all of those dependencies are gone. we're still hoping to see this :)
> 

This bug now depends on changes made in bug 174039 and bug 343810. They both should land very soon now (say in the next 10 days). I already started working on this bug today. I can probably have a patch within 2-3 weeks, in time for Bugzilla 3.0.
Comment 9 Frédéric Buclin 2006-08-07 17:30:56 PDT
My patch is almost ready. I can attach it as soon as bug 343809 lands (I need its _validate() function). Waiting for myk and his review. :)
Comment 10 Frédéric Buclin 2006-08-24 12:51:10 PDT
Created attachment 235287 [details] [diff] [review]
patch, v1
Comment 11 Frédéric Buclin 2006-08-24 14:20:22 PDT
Checking in Bugzilla/Bug.pm;
/cvsroot/mozilla/webtools/bugzilla/Bugzilla/Bug.pm,v  <--  Bug.pm
new revision: 1.143; previous revision: 1.142
done
Checking in Bugzilla/Flag.pm;
/cvsroot/mozilla/webtools/bugzilla/Bugzilla/Flag.pm,v  <--  Flag.pm
new revision: 1.75; previous revision: 1.74
done
Comment 12 :Gavin Sharp [email: gavin@gavinsharp.com] 2006-12-01 10:29:55 PST
*** Bug 362497 has been marked as a duplicate of this bug. ***
Comment 13 Max Kanat-Alexander 2007-02-13 14:28:36 PST
Added to the relnotes currently attached to bug 349423.

Note You need to log in before you can comment on or make changes to this bug.